org.eclnt.jsfserver.util

## Class CCViewHandler

- java.lang.Object
- - ViewHandler
  - - org.eclnt.jsfserver.util.CCViewHandler

-     public class CCViewHandler
      extends ViewHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCViewHandler(ViewHandler delegateTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Locale` | `calculateLocale(FacesContext context)`
    `java.lang.String` | `calculateRenderKitId(FacesContext context)`
    `UIViewRoot` | `createView(FacesContext context, java.lang.String viewId)`
    `java.lang.String` | `getActionURL(FacesContext context, java.lang.String viewId)`
    `java.lang.String` | `getResourceURL(FacesContext context, java.lang.String path)`
    `java.lang.String` | `getWebsocketURL(FacesContext arg0, java.lang.String arg1)`
    `void` | `renderView(FacesContext context, UIViewRoot viewToRender)`
    `UIViewRoot` | `restoreView(FacesContext context, java.lang.String viewId)`
    `void` | `writeState(FacesContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCViewHandler

          public CCViewHandler(ViewHandler delegateTo)

  - ### Method Detail

    - #### calculateLocale

          public java.util.Locale calculateLocale(FacesContext context)

    - #### calculateRenderKitId

          public java.lang.String calculateRenderKitId(FacesContext context)

    - #### createView

          public UIViewRoot createView(FacesContext context,
                                       java.lang.String viewId)

    - #### getActionURL

          public java.lang.String getActionURL(FacesContext context,
                                               java.lang.String viewId)

    - #### getResourceURL

          public java.lang.String getResourceURL(FacesContext context,
                                                 java.lang.String path)

    - #### renderView

          public void renderView(FacesContext context,
                                 UIViewRoot viewToRender)
                          throws java.io.IOException,
                                 FacesException

      Throws:
        `java.io.IOException`
        `FacesException`

    - #### restoreView

          public UIViewRoot restoreView(FacesContext context,
                                        java.lang.String viewId)

    - #### writeState

          public void writeState(FacesContext context)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getWebsocketURL

          public java.lang.String getWebsocketURL(FacesContext arg0,
                                                  java.lang.String arg1)

Copyright © CaptainCasa Gmbh. All Rights Reserved.